> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Link

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json POST /payment_links
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /payment_links:
    post:
      summary: Create Payment Link
      operationId: create-payment-link
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - currency
              properties:
                amount:
                  type: integer
                  description: >-
                    Amount to pay, [represented as an integer](doc:currencies).
                    This value must always be greater than 0.
                  format: int32
                currency:
                  type: string
                  description: >-
                    [Currency ISO
                    code](https://www.iso.org/iso-4217-currency-codes.html).
                  default: mxn
                metadata:
                  type: string
                  description: Custom key-value pairs to add to the Payment Link object
                  format: json
                checkout:
                  type: object
                  description: >-
                    Customize the checkout for your customers. For now, you can
                    only add a custom description alongside the buy button.
                  properties:
                    description:
                      type: string
                customer_email:
                  type: string
                  description: >-
                    The customer's email address for transaction-related
                    notifications, including notifying them when you request a
                    refund.
                expires_after_seconds:
                  type: integer
                  description: >-
                    The number of seconds after which the payment link will
                    expire. If not provided, the payment link will not expire.
                  format: int32
                recipient_account:
                  type: object
                  description: >-
                    (Optional) Indicates the destination account for the
                    payment. Only available in Chile to organizations that use
                    Fintoc Collects or Fintoc Reconciles
                  properties:
                    holder_id:
                      type: string
                      description: >-
                        Identifier of the owner of the account. In Chile, it
                        corresponds to a RUT and in Mexico it's either an RFC or
                        CURP.
                      default: '183917137'
                    number:
                      type: string
                      description: >-
                        Account number. Does not include hyphens or prefixed
                        zeros
                      default: '123456'
                    type:
                      type: string
                      description: >-
                        Account type. It can be checking_account or
                        sight_account
                      default: checking_account
                    institution_id:
                      type: string
                      description: Account's institution id
                      default: cl_banco_de_chile
                business_profile:
                  type: object
                  description: >-
                    Enrolled merchant identifier used for category-based
                    billing.
                  properties:
                    name:
                      type: string
                      description: >-
                        Enrolled merchant´s name. If set, will be shown as the
                        "Recipient" on the widget screens.
                    tax_id:
                      type: string
                      description: Tax identifier of the enrolled merchant account
                    category:
                      type: string
                      description: >-
                        Enrolled merchant category identifier. In Chile, it
                        corresponds to a 6 character activity code from SII
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "id": "plink_K2zwNNSxPyx8w3GZ",
                      "object": "payment_link",
                      "amount": 120900,
                      "currency": "MXN",
                      "status": "active",
                      "created_at": "2024-08-02T20:28:13Z",
                      "expires_at": null,
                      "mode": "test",
                      "url": "https://pay.fintoc.com/plink_K2zwNNSxPyx8w3GZ",
                      "metadata": {},
                      "customer_email": null,
                      "checkout": {
                        "description": null
                      }
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: plink_K2zwNNSxPyx8w3GZ
                  object:
                    type: string
                    example: payment_link
                  amount:
                    type: integer
                    example: 120900
                    default: 0
                  currency:
                    type: string
                    example: MXN
                  status:
                    type: string
                    example: active
                  created_at:
                    type: string
                    example: '2024-08-02T20:28:13Z'
                  expires_at: {}
                  mode:
                    type: string
                    example: test
                  url:
                    type: string
                    example: https://pay.fintoc.com/plink_K2zwNNSxPyx8w3GZ
                  metadata:
                    type: object
                    properties: {}
                  customer_email: {}
                  checkout:
                    type: object
                    properties:
                      description: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````